Arch Bewehrungsstab U-förmig

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar UShape and the translation is 91% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar UShape.svg Arch Bewehrungsstab U-förmig

Menüeintrag
Arch → Rebar tools
Arbeitsbereich
Arch, BIM
Standardtastenkürzel
None
In der Version eingeführt
0.17
Siehe auch
L-förmiger Bewehrungsstab, Bewehrungsstab


Beschreibung

Das U-förmiger Bewehrungsstab-Werkzeug erlaubt es dem Anwender, einen Satz von U-förmigen Bewehrungsstäben in einem Struktur-Objekt zu erstellen.

Dieser Befehl ist Teil des Reinforcement-Addons, das mit dem Addon-Manager über das Menü Werkzeuge → Addon-Manager → Reinforcement installiert werden kann.

Arch Rebar UShape example.png

Zwei Sätze von U-förmigen Bewehrungsstäben in einer Struktur


Anwendung

  1. Wähle eine beliebige Fläche eines vorher erstellten Arch Structure.svg Struktur-Objekts.
  2. Wähle dann Arch Rebar UShape.svg U-förmiger Bewehrungsstab aus den Bewehrungsstab-Werkzeugen.
  3. Ein Aufgaben-Paneel wird auf der linken Seite des Bildschirm angezeigt wie im folgenden Bild dargestellt.
  4. Wähle die gewünschte Ausrichtung.
  5. Gib die Werte für vordere, linke, rechte, untere und obere Fläche an, außerdem Biegeradius und Durchmesser des Bewehrungsstabes.
  6. Wähle den Verteilungsmodus, entweder amount (Menge) oder spacing (Abstand).
  7. Falls 'spacing' gewählt wurde, kann auch benutzerdefinierter Abstand gewählt werden.
  8. Wähle 'Pick selected face' zur Überprüfung oder ändere die Fläche zur Verteilung der Bewehrungsstäbe.
  9. Klicke OK oder Anwenden zur Erzeugung der Bewehrungsstäbe.
  10. Klicke Abbrechen zum Verlassen des Aufgaben-Paneels.

UShapeDialog.png

Aufgaben-Ansicht für das Arch Bewehrungsstab U-förmig-Werkzeug


Eigenschaften

  • DATAOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DATAFront Cover: The distance between rebar and selected face.
  • DATARight Cover: The distance between the right end of the rebar to right face of the structure.
  • DATALeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DATABottom Cover: The distance between rebar from the bottom face of the structure.
  • DATATop Cover: The distance between rebar from the top face of the structure.
  • DATARounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DATAAmount: The amount of rebars.
  • DATASpacing: The distance between the axes of each bar.

Scripting

Siehe auch: Arch API,Reinforcement-API und FreeCAD Scripting Basics.

Das U-förmiger Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, b_cover, r_cover, l_cover, and t_cover are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, right, left, and top offsets.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • rounding is the parameter that determines the bending radius of the reinforcement bars.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Bottom", "Top", "Right", or "Left".

Beispiel

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Anpassung des Bewehrungsstabs

Die Eigenschaften des Bewehrungsstabs lassen sich mit der folgenden Funktion verändern

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar ist ein vorher erzeugtes UShapeRebar-Objekt.
  • Die anderen Parameter sind die gleichen wie die für die makeUShapeRebar()-Funktion erforderlichen.
  • structure und facename können weggelassen werden, so dass die Bewehrung in der ursprünglichen Struktur bleibt.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")